Padre::Locale(3pm)

NAME
Padre::Locale - Locale support for Padre

DESCRIPTION
Padre::Locale is a utility library that implements locale and encoding support for the Padre editor, and serves as an integration point between the various identifier systems (Wx identifiers, ISO639, RFC3066, RFC4646)

The module implements a collection of public functions that can be called by various parts of the editor to get locale and encoding information.

None of the functions in Padre::Locale are exported. Because the need for encoding and locale functionality is very high in a user-facing application like Padre, the resulting quantity of exports would be very very high.

Forcing all calls to the functions to be fully referenced assists in reducing the complexity of the Perl symbol table (saving a small amount of memory) and serves to improve maintainability, as there can always be certainty about where a particular function is being called from.

FUNCTIONS
TO BE COMPLETED